#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, h, b=0, l=0;
    cin >> n >> h;
    int a[1010];

    for(int i = 0; i < n; i++)
    {
        cin >> b;
        a[i] = b;
    }

    for(int i = 0; i < n; i++)
    {
        if(a[i] <= h)
        {
            l = i+1;
            break;
        }
    }

    if(l == 0)
    {
        cout << -1 << '\n';
    }
    else
    {
        cout << l << '\n';
    }

    return 0;
}